package de.ugoe.cs.quest.tasktrees.treeifc;

import de.ugoe.cs.quest.eventcore.IEventTarget;
import de.ugoe.cs.quest.eventcore.IEventType;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: $
 * @author 2011, last modified by $Author: $
 */
public interface IEventTask extends ITaskTreeNode {
    
    /**
     * @return Returns the event type.
     */
    public IEventType getEventType();

    /**
     * @return Returns the event target.
     */
    public IEventTarget getEventTarget();

    /**
     * TODO: comment
     * 
     * @return
     */
    public IEventTask clone();

}
